/**************************************************************************
Fichier				: delay.c
Language de programmation	: C
Microcontrolleur		:
Quartz				: 20 MHz (HS)
--------------------------------------------------------------------------
Liste des fonctionnalits :
				- DELAY_SEC (paramtrable)
				- DELAY_MS  (paramtrable)
**************************************************************************/

#include <p18cxxx.h>		     /* C18 compiler processor defs */
#include "h/delay.h"             /* Delays defs */

/**************** DECLARATION DES SOUS PROGRAMMES *************/

/***************************************************************************
Nom   : void DELAY_SEC(int sec)
Role  : Delay de 1 seconde / Quartz 20Mhz (HS)
*****************************************************************************/
void DELAY_SEC(int sec)
{
int i=0, j=0, k=0;
do
{
  k++;
  j=0;
  do
    {
     j++;
     for(i=0; i<=27664; i++);
     }
  while (j<18);
}
while(k<sec);
}




/***************************************************************************
Nom   : void DELAY_MS(int ms)
Role  : Delay de 1 milliseconde / Quartz 20Mhz (HS)
*****************************************************************************/
void DELAY_MS(int ms)
{
int a=0, b=0;
  do
    {
    b++;
    for(a=0; a<=500; a++);
    }
   while(b<ms);
}

/***************************************************************************
Nom   : void DELAY_10US(int us)
Role  : Delay de 10 us / Quartz 20Mhz (HS)
*****************************************************************************/
void DELAY_10US(int us)
{
for(us=0; us<=1; us++);
}


